from RestrictedManager.xorg_driver import XorgDriverHandler

from gettext import gettext as _

class AtiDriver(XorgDriverHandler):
    is_handler = True

    name = "fglrx"
    description = _("ATI accelerated graphics driver")
    rationale = _("This driver is required to fully utilise the 3D potential "
                 "of ATI graphics cards, as well as provide 2D "
                 "acceleration of newer cards.")

    def __init__(self, module):
        XorgDriverHandler.__init__(self, module, "xorg-driver-fglrx", "fglrx",
            "", "ati", ["glx"], [])

